Subject: bug#808: Broken OPENSSL_init_ssl and debian unwilling to fix their bugs

From: Klaus Ethgen <[email-masked]>
Date: Mon, 27 Nov 2023 21:47:00 +0100

Hi Mark,

Am Mo den 27. Nov 2023 um 21:35 schrieb Mark Hindley:
> > After recent updates, apt-listchanges is somewhat broken:
> >    Laden der Fehlerberichte ? 0% Fehlgeschlagen
> >    Das Laden der Fehlerberichte vom Server ist mit folgender Fehlermeldung fehlgeschlagen:
> >    E: OPENSSL_init_ssl
> >    Es könnte an Ihrem inaktiven Netzwerk oder an einem fehlerhaften Proxy-Server liegen oder der BTS-Server ist nicht aktiv. Überprüfen Sie die Netzwerkkonfiguration und versuchen Sie es
> > +erneut
> >    Soll erneut versucht werden, die Informationen zu dem Fehler herunterzuladen? [Y/n]
> >    Jeweils ein Paket? [Y/n]
> >    Jeweils ein Fehlerbericht? [Y/n]
> >    /usr/share/rubygems-integration/all/gems/soap4r-ruby1.9-2.0.5/lib/soap/streamHandler.rb:24: warning: already initialized constant SOAP::StreamHandler::RUBY_VERSION_STRING
> >    /usr/share/rubygems-integration/all/gems/soap4r-ruby1.9-2.0.5/lib/soap/streamHandler.rb:24:
> >    warning: previous definition of RUBY_VERSION_STRING was here
> 
> So you need to work out where these ruby files are from and how they are being
> invoked. It appears that /usr/share/rubygems-integration doesn't even exist in Debian
> or Devuan[1].

Well:
~> dpkg -S /usr/share/rubygems-integration
ruby-soap4r, ruby-pygments.rb, rake, kwalify, ruby-gettext, ruby-dnsruby, ruby-rubygems, ruby-origami, ruby-xmlrpc, ruby-text, ghi, ruby-webrick, ruby-unicode, ruby-unf, vim-addon-manager, ruby-net-telnet, ruby-simpleidn, ruby-locale, ruby-unf-ext, ruby-colorize, ruby-debian: /usr/share/rubygems-integration

There is more than enough.

I am no fan of ruby and would be more than happy to get it away. But
unfortunatelly it is soaked in by dependencies.

> What does
> 
>   dpkg -S /usr/share/rubygems-integration

See above

>   dpkg -l|grep ruby

~> dpkg -l \*ruby\* G '^ii'
ii  libruby:amd64              1:3.1        amd64        Libraries necessary to run Ruby
ii  libruby3.1:amd64           3.1.2-7      amd64        Libraries necessary to run Ruby 3.1
ii  ruby                       1:3.1        amd64        Interpreter of object-oriented scripting language Ruby (default version)
ii  ruby-colorize              0.8.1-1.1    all          color methods to Ruby String class
ii  ruby-debian                0.3.10+b8    amd64        ruby interface for dpkg
ii  ruby-dnsruby               1.61.5-3     all          Ruby DNS and DNSSEC client library
ii  ruby-gettext               3.3.3-2      all          gettext for Ruby
ii  ruby-locale                2.1.3-1      all          Locale library for Ruby
ii  ruby-net-telnet            0.2.0-1      all          telnet client library
ii  ruby-origami               2.1.0-1~exp2 all          PDF analysis and manipulation tool (Ruby library)
ii  ruby-pygments.rb           2.3.0+ds-2.2 all          pygments wrapper for Ruby
ii  ruby-rubygems              3.4.20-1     all          Package management framework for Ruby
ii  ruby-sdbm:amd64            1.0.0-5+b1   amd64        simple file-based key-value store with String keys and values
ii  ruby-simpleidn             0.2.1-1      all          Punycode ACE to unicode UTF-8 (and vice-versa) string conversion.
ii  ruby-soap4r                2.0.5-6      all          SOAP library for the Ruby programming language
ii  ruby-text                  1.3.1-1      all          collection of text algorithms for Ruby
ii  ruby-unf                   0.1.4-2.1    all          Wrapper library to bring Unicode Normalization Form support to Ruby
ii  ruby-unf-ext               0.0.7.7-1+b4 amd64        Unicode Normalization Form support library for CRuby
ii  ruby-unicode               0.4.4.4-1+b5 amd64        Unicode string manipulation library for Ruby
ii  ruby-webrick               1.8.1-1      all          HTTP server toolkit in Ruby
ii  ruby-xmlparser:amd64       0.7.3-4+b4   amd64        Ruby interface for the expat XML parser toolkit
ii  ruby-xmlrpc                0.3.2-2      all          XMLRPC library for Ruby
ii  ruby3.1                    3.1.2-7      amd64        Interpreter of object-oriented scripting language Ruby
ii  rubygems-integration       1.18         all          integration of Debian Ruby packages with Rubygems

> The only reference I can find to soap4r is the package ruby-soap4r[2]. That has
> a number of old and unresolved bugs which affect apt-listbugs. I suspect you may
> need to reassign your Debian bug there once you have worked out what is going on
> more carefully.

Well, I am not sure about that.

openssl did broke several tools. I identified ffmpeg recenly too. It
seems that openssl did, again, change the API insige of minor version.

Regards
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <[email-masked]>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C